Index: winsup/cygwin/child_info.h
===================================================================
RCS file: /cvs/src/src/winsup/cygwin/child_info.h,v
retrieving revision 1.2
diff -u -r1.2 child_info.h
--- child_info.h	2000/09/03 04:16:35	1.2
+++ child_info.h	2000/09/06 17:15:25
@@ -84,15 +84,15 @@
     if (moreinfo)
       {
 	if (moreinfo->old_title)
-	  cfree (moreinfo->old_title);
+	  cygheap_free (moreinfo->old_title);
 	if (moreinfo->environ)
 	  {
 	    for (char **e = moreinfo->environ; *e; e++)
-	      cfree (*e);
-	    cfree (moreinfo->environ);
+	      cygheap_free (*e);
+	    cygheap_free (moreinfo->environ);
 	  }
 	CloseHandle (moreinfo->myself_pinfo);
-	cfree (moreinfo);
+	cygheap_free (moreinfo);
       }
   }
 };
Index: winsup/cygwin/cygheap.cc
===================================================================
RCS file: /cvs/src/src/winsup/cygwin/cygheap.cc,v
retrieving revision 1.2
diff -u -r1.2 cygheap.cc
--- cygheap.cc	2000/09/05 03:16:28	1.2
+++ cygheap.cc	2000/09/06 17:15:25
@@ -208,7 +208,7 @@
 }
 
 extern "C" void __stdcall
-cfree (void *s)
+cygheap_free (void *s)
 {
   assert (!inheap (s));
   (void) _cfree (tocygheap (s));
Index: winsup/cygwin/cygheap.h
===================================================================
RCS file: /cvs/src/src/winsup/cygwin/cygheap.h,v
retrieving revision 1.1
diff -u -r1.1 cygheap.h
--- cygheap.h	2000/09/03 04:16:35	1.1
+++ cygheap.h	2000/09/06 17:15:25
@@ -8,8 +8,6 @@
 Cygwin license.  Please consult the file "CYGWIN_LICENSE" for
 details. */
 
-#undef cfree
-
 enum cygheap_types
 {
   HEAP_FHANDLER,
@@ -28,7 +26,7 @@
 
 void cygheap_init ();
 extern "C" {
-void __stdcall cfree (void *);
+void __stdcall cygheap_free (void *);
 void __stdcall cygheap_fixup_in_child (HANDLE);
 void *__stdcall cmalloc (cygheap_types, DWORD);
 void *__stdcall crealloc (void *, DWORD);
Index: winsup/cygwin/dcrt0.cc
===================================================================
RCS file: /cvs/src/src/winsup/cygwin/dcrt0.cc,v
retrieving revision 1.52
diff -u -r1.52 dcrt0.cc
--- dcrt0.cc	2000/09/05 03:16:28	1.52
+++ dcrt0.cc	2000/09/06 17:15:26
@@ -680,7 +680,7 @@
 	    if (spawn_info->moreinfo->old_title)
 	      {
 		old_title = strcpy (title_buf, spawn_info->moreinfo->old_title);
-		cfree (spawn_info->moreinfo->old_title);
+		cygheap_free (spawn_info->moreinfo->old_title);
 	      }
 	    ProtectHandle (child_proc_info->subproc_ready);
 	    break;
Index: winsup/cygwin/dtable.cc
===================================================================
RCS file: /cvs/src/src/winsup/cygwin/dtable.cc,v
retrieving revision 1.19
diff -u -r1.19 dtable.cc
--- dtable.cc	2000/09/03 04:16:35	1.19
+++ dtable.cc	2000/09/06 17:15:26
@@ -71,7 +71,7 @@
   if (fds)
     {
       memcpy (newfds, fds, size * sizeof (fds[0]));
-      cfree (fds);
+      cygheap_free (fds);
     }
 
   size = new_size;
@@ -313,7 +313,7 @@
   newfh->set_io_handle (NULL);
   if (oldfh->dup (newfh))
     {
-      cfree (newfh);
+      cygheap_free (newfh);
       newfh = NULL;
       return NULL;
     }
@@ -504,7 +504,7 @@
   fhandler_base **deleteme = fds;
   fds = fds_on_hold;
   fds_on_hold = NULL;
-  cfree (deleteme);
+  cygheap_free (deleteme);
 
   ReleaseResourceLock(LOCK_FD_LIST,WRITE_LOCK|READ_LOCK,"dup");
   return;
Index: winsup/cygwin/environ.cc
===================================================================
RCS file: /cvs/src/src/winsup/cygwin/environ.cc,v
retrieving revision 1.25
diff -u -r1.25 environ.cc
--- environ.cc	2000/09/03 04:45:52	1.25
+++ environ.cc	2000/09/06 17:15:26
@@ -537,7 +537,7 @@
       sz = envsize (envp, 1);
       char **newenv = (char **) malloc (sz);
       memcpy (newenv, envp, sz);
-      cfree (envp);
+      cygheap_free (envp);
       envp = newenv;
       goto out;
     }
Index: winsup/cygwin/fhandler.cc
===================================================================
RCS file: /cvs/src/src/winsup/cygwin/fhandler.cc,v
retrieving revision 1.32
diff -u -r1.32 fhandler.cc
--- fhandler.cc	2000/09/03 04:16:35	1.32
+++ fhandler.cc	2000/09/06 17:15:27
@@ -152,9 +152,9 @@
   if (!no_free_names ())
     {
       if (unix_path_name_ != NULL && unix_path_name_ != fhandler_disk_dummy_name)
-	cfree (unix_path_name_);
+	cygheap_free (unix_path_name_);
       if (win32_path_name_ != NULL && unix_path_name_ != fhandler_disk_dummy_name)
-	cfree (win32_path_name_);
+	cygheap_free (win32_path_name_);
     }
 
   unix_path_name_ = win32_path_name_ = NULL;
@@ -1111,7 +1111,7 @@
 void
 fhandler_base::operator delete (void *p)
 {
-  cfree (p);
+  cygheap_free (p);
   return;
 }
 
@@ -1148,9 +1148,9 @@
   if (!no_free_names ())
     {
       if (unix_path_name_ != NULL && unix_path_name_ != fhandler_disk_dummy_name)
-	cfree (unix_path_name_);
+	cygheap_free (unix_path_name_);
       if (win32_path_name_ != NULL && win32_path_name_ != fhandler_disk_dummy_name)
-	cfree (win32_path_name_);
+	cygheap_free (win32_path_name_);
     }
   if (rabuf)
     free (rabuf);
Index: winsup/cygwin/fhandler_raw.cc
===================================================================
RCS file: /cvs/src/src/winsup/cygwin/fhandler_raw.cc,v
retrieving revision 1.8
diff -u -r1.8 fhandler_raw.cc
--- fhandler_raw.cc	2000/09/03 04:16:35	1.8
+++ fhandler_raw.cc	2000/09/06 17:15:27
@@ -122,7 +122,7 @@
 fhandler_dev_raw::~fhandler_dev_raw (void)
 {
   if (devbufsiz >= 1L)
-    cfree (devbuf);
+    cygheap_free (devbuf);
   clear ();
 }
 
@@ -493,7 +493,7 @@
 		  {
 		    memcpy (buf, devbuf + devbufstart, devbufend - devbufstart);
 		    devbufend -= devbufstart;
-		    cfree (devbuf);
+		    cygheap_free (devbuf);
 		  }
 		else
 		  devbufend = 0;
Index: winsup/cygwin/spawn.cc
===================================================================
RCS file: /cvs/src/src/winsup/cygwin/spawn.cc,v
retrieving revision 1.36
diff -u -r1.36 spawn.cc
--- spawn.cc	2000/09/05 03:16:28	1.36
+++ spawn.cc	2000/09/06 17:15:27
@@ -25,9 +25,9 @@
 #include "dtable.h"
 #include "sync.h"
 #include "sigproc.h"
+#include "cygheap.h"
 #include "child_info.h"
 #include "pinfo.h"
-#include "cygheap.h"
 #include "perthread.h"
 
 #define LINE_BUF_CHUNK (MAX_PATH * 2)
@@ -254,8 +254,8 @@
   ~av ()
   {
     for (int i = 0; i < calloced; i++)
-      cfree (argv[i]);
-    cfree (argv);
+      cygheap_free (argv[i]);
+    cygheap_free (argv);
   }
   int unshift (const char *what, int conv = 0);
   operator char **() {return argv;}
